Devices

GET https://notifycame.com/api/devices/
curl --request GET \
--url 'https://notifycame.com/api/devices/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25.
search Optional String The search string.
search_by Optional String What field are you searching by. Allowed values are: name, ip.
user_id Optional Integer Filter results by user ID.
datetime_field Optional String Allowed values: last_ping_datetime, last_sent_datetime, last_received_datetime, datetime, last_datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String What field to order the results by. Allowed values are: device_id, name, last_ping_datetime, last_sent_datetime, last_received_datetime, datetime, last_datetime, total_sent_sms, total_pending_sms, total_failed_sms, total_received_sms.
order_type Optional String The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "name": "Example",
            "notifications": [
                1,
                2,
                3
            ],
            "settings": null,
            "sims": [
                {
                    "subscription_id": 1,
                    "phone_number": "+1234567890",
                    "carrier_name": "T-Mobile",
                    "display_name": "SIM 1",
                    "slot_index": 0
                }
            ],
            "device_fcm_token": "",
            "device_model": "sdk_gphone64_arm64",
            "device_brand": "google",
            "device_os": "16",
            "device_battery": 59,
            "device_is_charging": true,
            "ip": "123.123.123.123",
            "total_sent_sms": 50,
            "total_pending_sms": 10,
            "total_received_sms": 25,
            "total_failed_sms": 1,
            "last_sent_datetime": "2026-04-20 10:33:41",
            "last_ping_datetime": "2026-04-20 10:33:41",
            "last_received_datetime": null,
            "datetime": "2026-04-20 10:33:41",
            "last_datetime": null
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://notifycame.com/api/devices?page=1",
        "last": "https://notifycame.com/api/devices?page=1",
        "next": null,
        "prev": null,
        "self": "https://notifycame.com/api/devices?page=1"
    }
}
GET https://notifycame.com/api/devices/{device_id}
curl --request GET \
--url 'https://notifycame.com/api/devices/{device_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example",
        "notifications": [
            1,
            2,
            3
        ],
        "settings": null,
        "sims": [
            {
                "subscription_id": 1,
                "phone_number": "+1234567890",
                "carrier_name": "T-Mobile",
                "display_name": "SIM 1",
                "slot_index": 0
            }
        ],
        "device_fcm_token": "",
        "device_model": "sdk_gphone64_arm64",
        "device_brand": "google",
        "device_os": "16",
        "device_battery": 59,
        "device_is_charging": true,
        "ip": "123.123.123.123",
        "total_sent_sms": 50,
        "total_pending_sms": 10,
        "total_received_sms": 25,
        "total_failed_sms": 1,
        "last_sent_datetime": "2026-04-20 10:33:41",
        "last_ping_datetime": "2026-04-20 10:33:41",
        "last_received_datetime": null,
        "datetime": "2026-04-20 10:33:41",
        "last_datetime": null
    },
}
POST https://notifycame.com/api/devices
Parameters Details Description
name Required String -
notifications Optional Array Notification handler ids
sms_in_between_delay_minimum Optional Integer Allowed values: 1 - 300
sms_in_between_delay_maximum Optional Integer Allowed values: 1 - 300
auto_tags_condition Optional Array Allowed values: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than
auto_tags_sms Optional Array Received SMS
auto_tags_action Optional Array Allowed values: add, remove
auto_tags_custom_parameter_key Optional Array Custom parameter key
auto_tags_custom_parameter_value Optional Array Custom parameter value
curl --request POST \
--url 'https://notifycame.com/api/devices' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
{
    "data": {
        "id": 1
    }
}
POST https://notifycame.com/api/devices/{device_id}
Parameters Details Description
name Optional String -
notifications Optional Array Notification handler ids
sms_in_between_delay_minimum Optional Integer Allowed values: 1 - 300
sms_in_between_delay_maximum Optional Integer Allowed values: 1 - 300
auto_tags_condition Optional Array Allowed values: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than
auto_tags_sms Optional Array Received SMS
auto_tags_action Optional Array Allowed values: add, remove
auto_tags_custom_parameter_key Optional Array Custom parameter key
auto_tags_custom_parameter_value Optional Array Custom parameter value
curl --request POST \
--url 'https://notifycame.com/api/devices/{device_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1
    }
}
DELETE https://notifycame.com/api/devices/{device_id}
curl --request DELETE \
--url 'https://notifycame.com/api/devices/{device_id}' \
--header 'Authorization: Bearer {api_key}' \